Skip to content
Skip to main content
GET
/v3/scheduling/bookings/{booking_id}

Return a booking

Returns the specified Booking object.

Nylas validates the provided session ID and uses it to retrieve the related Configuration object. If you created a public Configuration, you don't need to include the Authorization request header with a session ID, but you do need to pass the Configuration object ID as a query parameter.

SCHEDULER SESSION TOKEN

Parameters

Path parameters

booking_id*string

The ID of the booking object to access.

Query parameters

configuration_idstring

The ID of the Configuration object used for calculating availability. If you're using session authentication (requires_session_auth: true), the configuration_id isn't required.

slugstring

The Configuration object slug. You can use this with the client_id instead of using the configuration_id. If you're using session authentication (requires_session_auth: true) or using the configuration_id, slug isn't required.

client_idstring

The client ID that was used to create the Configuration object. Required only if you're using slug.

Responses

request_idstring

The request ID.

dataobject
GEThttps://api.us.nylas.com/v3/scheduling/bookings/{booking_id}

Paste the authorization token required for this endpoint.

booking_idrequiredstring

The ID of the booking object to access.

configuration_idstring

The ID of the Configuration object used for calculating availability. If you're using session authentication (requires_session_auth: true), the configuration_id isn't required.

slugstring

The Configuration object slug. You can use this with the client_id instead of using the configuration_id. If you're using session authentication (requires_session_auth: true) or using the configuration_id, slug isn't required.

client_idstring

The client ID that was used to create the Configuration object. Required only if you're using slug.